Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class PrivateKey.Type

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.PrivateKey.Type

Enclosing class:
  PrivateKey

public static final class PrivateKey.Type
extends java.lang.Object

Field Summary
`static PrivateKey.Type` | `DSA`
`private java.lang.String` | `name`
`private OBJECT_IDENTIFIER` | `oid`
`private static java.util.Hashtable` | `oidMap`
`static PrivateKey.Type` | `RSA`

Constructor Summary
`private` | `PrivateKey.Type()`
`private` | `PrivateKey.Type(OBJECT_IDENTIFIER oid, java.lang.String name)`

Method Summary
`static PrivateKey.Type` | `fromOID(OBJECT_IDENTIFIER oid)`
`OBJECT_IDENTIFIER` | `toOID()`
`java.lang.String` | `toString()` Returns a string representation of the algorithm, such as "RSA" or "DSA".

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### oid

    private OBJECT_IDENTIFIER oid

### name

    private java.lang.String name

### oidMap

    private static java.util.Hashtable oidMap

### RSA

    public static final PrivateKey.Type RSA

### DSA

    public static final PrivateKey.Type DSA

Constructor Detail

### PrivateKey.Type

    private PrivateKey.Type()

### PrivateKey.Type

    private PrivateKey.Type(OBJECT_IDENTIFIER oid,
                            java.lang.String name)

Method Detail

### fromOID

    public static PrivateKey.Type fromOID(OBJECT_IDENTIFIER oid)
                                   throws java.security.NoSuchAlgorithmException

### toString

    public java.lang.String toString()

  Returns a string representation of the algorithm, such as "RSA" or "DSA".
  Overrides:
    `toString` in class `java.lang.Object`

### toOID

    public OBJECT_IDENTIFIER toOID()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD